# SPEC file for
# oracle-instantclient-basic
# oracle-instantclient-devel
# oracle-instantclient-sqlplus
# oracle-instantclient-jdbc

%define __arch_install_post /bin/true

Summary:    Instant Client for Oracle Database 10g
Name:       oracle-instantclient
Version:    11.1.0.7.0
Release:    1.2
License:    Oracle
Group:      Applications/File
Url:        http://www.oracle.com/technology/software/tech/oci/instantclient/index.html
Source0:    basic-%{version}-linux-i386.zip
Source1:    jdbc-%{version}-linux-i386.zip
Source2:    odbc-%{version}-linux-i386.zip
Source3:    sdk-%{version}-linux-i386.zip
Source4:    sqlplus-%{version}-linux-i386.zip
Source5:    tools-%{version}-linux-i386.zip
Source6:    precomp-%{version}-linux-i386.zip

Source10:   basic-%{version}-linux-x86_64.zip
Source11:   jdbc-%{version}-linux-x86_64.zip
Source13:   sdk-%{version}-linux-x86_64.zip
Source14:   sqlplus-%{version}-linux-x86_64.zip
Source15:   tools-%{version}-linux-x86_64.zip
Source16:   precomp-%{version}-linux-x86_64.zip

NoSource:       0
NoSource:       1
NoSource:       2
NoSource:       3
NoSource:       4
NoSource:	5
NoSource:	6
NoSource:       10
NoSource:       11
NoSource:       13
NoSource:       14
NoSource:	15
NoSource:	16

Buildroot:  %{_tmppath}/%{name}-root
BuildArch:      i386 x86_64
%if 0%{?sles_version} == 10
BuildRequires: unzip
%else 
BuildRequires: unzip
##%ifnarch x86_64
BuildRequires: chrpath
##%endif
%endif

%define topdir  instantclient_11_1
%define _oradir %{_libdir}/oracle
%define _oraverdir %{_libdir}/oracle/%{version}
%define oradir  %{_libdir}/oracle/%{version}/client
%define _incdir %{_includedir}/oracle
%define _incverdir %{_includedir}/oracle/%{version}
%define incdir  %{_includedir}/oracle/%{version}/client

%description
Base files for Instant Client.  Support for OCI, OCCI, 
and JDBC-OCI applications.

%package basic
Summary:    Instant Client for Oracle Database 10g
Group:      Applications/File

%description basic
Base files for Instant Client.  Support for OCI, OCCI,
and JDBC-OCI applications.

%package devel
Summary:    Development headers for Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description devel
Additional header files and an example Makefile for developing Oracle
applications with Instant Client.

%package jdbc
Summary:    Supplemental JDBC features under Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description jdbc
Additional support for XA, Internationalization,
and RowSet operations under JDBC.

%ifarch i386
%package odbc
Summary:    Oracle  ODBC Instant Client for Linux
Group:      Applications/File
Requires:   %{name}-basic = %version

%description odbc
Oracle  ODBC Instant Client for Linux complies with 
ODBC 3.52 specifications. It is based on features of 
Oracle 10.2.0.1.0  ODBC driver for Windows, without 
the need for a traditional ORACLE_HOME installation.
%endif

%package sqlplus
Summary:    SQL*Plus for Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description sqlplus
Additional libraries and executable for running 
SQL*Plus with Instant Client.

%package tools
Summary:    WRC Tools for Instant Client
Group:      Applications/File
Requires:   %{name}-basic = %version

%description tools
Workload Replay Client used to replay workload for RAT's DB Replay Feature

%prep
rm -rf %{topdir}

%ifarch i386
unzip %{SOURCE0}
unzip %{SOURCE1}
unzip %{SOURCE2}
unzip %{SOURCE3}
unzip %{SOURCE4}
unzip %{SOURCE5}
unzip %{SOURCE6}
%else
unzip %{SOURCE10}
unzip %{SOURCE11}
unzip %{SOURCE13}
unzip %{SOURCE14}
unzip %{SOURCE15}
unzip %{SOURCE16}
%endif

%install
rm -rf %{buildroot}
cd %{topdir}

%{__mkdir_p} %{buildroot}%{_bindir} 
%{__mkdir_p} %{buildroot}%{oradir}/bin 
%{__mkdir_p} %{buildroot}%{oradir}/lib 
%{__mkdir_p} %{buildroot}%{incdir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/ld.so.conf.d

# Basic
%__install libclntsh.so.11.1    %{buildroot}%{oradir}/lib
%__install libnnz11.so      %{buildroot}%{oradir}/lib
%__install libocci.so.11.1  %{buildroot}%{oradir}/lib
%__install libociei.so      %{buildroot}%{oradir}/lib
%__install libocijdbc11.so  %{buildroot}%{oradir}/lib
%__install ojdbc5.jar      %{buildroot}%{oradir}/lib
%__install ojdbc6.jar	%{buildroot}%{oradir}/lib
%__install genezi       %{buildroot}%{oradir}/bin

echo %{oradir}/lib >%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

# Devel
%__install -m 644 sdk/include/*.h   %{buildroot}%{incdir}

ln -s libocci.so.11.1   %{buildroot}%{oradir}/lib/libocci.so
ln -s libclntsh.so.11.1 %{buildroot}%{oradir}/lib/libclntsh.so

# SQL*Plus
%__install sqlplus      %{buildroot}%{oradir}/bin
%__install glogin.sql       %{buildroot}%{oradir}/lib
%__install libsqlplus.so    %{buildroot}%{oradir}/lib
%__install libsqlplusic.so  %{buildroot}%{oradir}/lib

ln -sf %{oradir}/bin/sqlplus %{buildroot}%{_bindir}/sqlplus

# JDBC
%__install libheteroxa11.so %{buildroot}%{oradir}/lib
%__install orai18n.jar      %{buildroot}%{oradir}/lib

%ifarch i386
# ODBC
%__install libsqora.so.11.1 %{buildroot}%{oradir}/lib
%endif

# WRC / TOOLS
%__install wrc %{buildroot}%{oradir}/bin


## change rpath
%if 0%{?sles_version} == 10
 :
%else
##%ifnarch x86_64
chrpath -d %{buildroot}%{oradir}/bin/genezi || :
chrpath -d %{buildroot}%{oradir}/bin/sqlplus || :
chrpath -d %{buildroot}%{oradir}/bin/wrc || :
chrpath -d %{buildroot}%{oradir}/lib/libclntsh.so.11.1 || : 
chrpath -d %{buildroot}%{oradir}/lib/libociei.so || :
chrpath -d %{buildroot}%{oradir}/lib/libsqlplus.so || :
chrpath -d %{buildroot}%{oradir}/lib/libsqlplusic.so || :
##%endif
%endif
#fix doc perms
%ifnarch x86_64
chmod -x ODBC_IC_Readme_Linux.html ODBCRelnotesJA.htm ODBCRelnotesUS.htm
chmod -x odbc_update_ini.sh
%endif

# disable byte code check
export NO_BRP_CHECK_BYTECODE_VERSION=true 

%clean
rm -rf %{buildroot}

%post basic
/sbin/ldconfig 

%postun basic
/sbin/ldconfig

%files basic
%defattr(-,root,root)
%dir %{_oradir}
%dir %{_oraverdir}
%dir %{oradir}
%dir %{oradir}/bin
%dir %{oradir}/lib
%{oradir}/lib/libclntsh.so.11.1
%{oradir}/lib/libnnz11.so
%{oradir}/lib/libocci.so.11.1
%{oradir}/lib/libociei.so
%{oradir}/lib/libocijdbc11.so
%{oradir}/lib/ojdbc5.jar
%{oradir}/lib/ojdbc6.jar
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{oradir}/bin/genezi

%files devel
%defattr(-,root,root)
%doc %{topdir}/sdk/demo
%dir %{_incdir}
%dir %{_incverdir}
%dir %{incdir}
%{oradir}/lib/libclntsh.so
%{oradir}/lib/libocci.so
%{incdir}/*

%post sqlplus
/sbin/ldconfig 

%postun sqlplus
/sbin/ldconfig

%files sqlplus
%defattr(-,root,root)
%{_bindir}/sqlplus
%{oradir}/bin/sqlplus
%{oradir}/lib/glogin.sql
%{oradir}/lib/libsqlplus.so
%{oradir}/lib/libsqlplusic.so

%post jdbc
/sbin/ldconfig

%postun
/sbin/ldconfig

%files jdbc
%defattr(-,root,root)
%{oradir}/lib/libheteroxa11.so
%{oradir}/lib/orai18n.jar

%ifarch i386
%post odbc
/sbin/ldconfig

%postun odbc
/sbin/ldconfig

%files odbc
%defattr(-,root,root)
%doc %{topdir}/ODBC_IC_Readme_Linux.html %{topdir}/ODBCRelnotesJA.htm %{topdir}/ODBCRelnotesUS.htm
%doc %{topdir}/odbc_update_ini.sh
%{oradir}/lib/libsqora.so.11.1
%endif

%files tools
%defattr(-,root,root)
%{oradir}/bin/wrc

%changelog
* Sun May 17 2009 Carsten Schoene <cs@linux-administrator.com> - 11.1.0.7.0-1
- update to 11.1.0.7.0

* Tue Oct 15 2008 Carsten Schoene <cs@linux-administrator.com> - 11.1.0.6.0-1
- update to 11.1.0.6.0

* Thu Oct 02 2008 Carsten Schoene <cs@linux-administrator.com> 10.2.0.4-1
- update to 10.2.0.4

* Sun Aug 19 2007 Ciro Iriarte <ciriarte@personal.net.py> 10.2.0.3-3.###.remi
- added genezi to basic package

* Tue May 22 2007 Remi Collet <RPMS@famillecollet.com> 10.2.0.3-3.fc6.remi
- merge 32/64 spec file for mock

* Tue Nov 14 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.3-1.fc6.remi
- update to 10.2.0.3

* Tue Nov 14 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-3.fc6.remi
- FC6.x86_64 build (conditional targetname & datever)

* Thu Oct 26 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-2.fc6.remi
- FC6.i386 build 

* Fri Jun 23 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-2.fc5.remi
- Switch back to defaut oracle strategie.
- add /etc/ld.so.conf.d/oracle-instantclient.conf

* Fri Jun 23 2006 Remi Collet <RPMS@famillecollet.com> 10.2.0.2-1.fc5.remi
- initial RPM
